/*******************************************************************************

interfaces.cpp - information and definitions about Just4Trionic external interfaces
(c) 2010 by Sophie Dexter

********************************************************************************

WARNING: Use at your own risk, sadly this software comes with no guarantees.
This software is provided 'free' and in good faith, but the author does not
accept liability for any damage arising from its use.

*******************************************************************************/

#ifndef __INTERFACES_H__
#define __INTERFACES_H__

#include "mbed.h"

extern Serial           pc;                     //Serial pc(USBTX, USBRX); // tx, rx

extern CAN              can;                    //Serial pc(USBTX, USBRX); // tx, rx
extern DigitalOut       can_rs_pin;             //

extern LocalFileSystem  local;                  //Serial pc(USBTX, USBRX); // tx, rx

extern Timer            timer;

extern DigitalIn        PIN_PWR;                // power supply
extern DigitalIn        PIN_NC;                 // connection signal
extern DigitalInOut     PIN_BERR;               // double bus fault input - will be an input when it is working properly
extern DigitalInOut     PIN_BKPT;               // breakpoint/serial clock
extern DigitalInOut     PIN_RESET;              // reset signal
extern DigitalInOut     PIN_DSI;                // data input (to ECU) signal
extern DigitalIn        PIN_DS;                 // data strobe signal (not used)
extern DigitalIn        PIN_FREEZE;             // freeze signal
extern DigitalIn        PIN_DSO;                // data output (from ECU) signal

//LEDS

// Use the LEDs to see if anything is happening
extern DigitalOut       led1;                   // LED1 CAN send
extern DigitalOut       led2;                   // LED2 CAN receive
extern DigitalOut       led3;                   // BDM activity LE
extern DigitalOut       led4;                   // Error LED

extern Ticker           ticker;

void leds_off(void);

#endif          // __INTERFACES_H__